/* OpenID for node.js
 *
 * http://ox.no/software/node-openid
 * http://github.com/havard/node-openid
 *
 * Copyright (C) 2010 by Håvard Stranden
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 */

const axios = require('axios');

exports.get = (getUrl, params, callback, redirects) => {
    const options = {
        maxRedirects: redirects || 5,
        params: params,
        headers: { 'Accept' : 'application/xrds+xml,text/html,text/plain,*/*;q=0.9' }
    };
    axios.get(getUrl, options).then((response) => {
        callback(body, response.headers, response.statusCode);
    }).catch((error) => {
        callback(error);
    })
};
  
exports.post = function (postUrl, data, callback, redirects) {
    axios.post({
        method: 'post',
        url: postUrl,
        maxRedirects: redirects || 5,
        data: data,
        headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
    }).then((response) => {
        callback(body, response.headers, response.statusCode);
    }).catch((error) => {
        callback(error);
    });
};
